import { Component } from "react";
import { Observable, OperatorFunction, Subscription } from "rxjs";
export declare class Stream extends Component<{
    pipe: OperatorFunction<any, Observable<any>>;
}, any> {
    subscription?: Subscription;
    _isMounted: boolean;
    configureSource(props: any, config: any): any;
    constructor(props: any, context: any, config: any);
    componentDidMount(): void;
    render(): any;
    componentWillUnmount(): void;
}
export declare class StreamProps extends Stream {
    updateProps: any;
    configureSource(props: any): Observable<any>;
    componentDidUpdate(): void;
}
export declare const stream: (source: any, pipe: any, plans: any) => (props: any, context: any) => Stream;
export declare const streamProps: (pipe: any, plans: any) => (props: any, context: any) => StreamProps;
